/*
 * Copyright 1999-2017 Alibaba Group Holding Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.alibaba.polardbx.druid.bvt.sql.mysql.select;

import com.alibaba.polardbx.druid.sql.MysqlTest;
import com.alibaba.polardbx.druid.sql.SQLUtils;
import com.alibaba.polardbx.druid.sql.ast.statement.SQLSelectStatement;


public class MySqlSelectTest_239 extends MysqlTest {

    public void test_0() throws Exception {
        String sql = "SELECT group_concat(\"\\\"\",NODE_IP,\"\\\"\") FROM `tiansuan_node` WHERE `GROUP_ID` =4\n";


        SQLSelectStatement stmt = (SQLSelectStatement) SQLUtils.parseSingleMysqlStatement(sql);

        assertEquals("SELECT group_concat('\"', NODE_IP, '\"')\n" +
                "FROM `tiansuan_node`\n" +
                "WHERE `GROUP_ID` = 4", stmt.toString());
    }



}